## glibmm2.4 2.66.2

=== debian/changelog ===
glibmm2.4 (2.66.2-2) unstable; urgency=medium

  * Update 01-disable-tls-test.patch for meson (Closes: #996171)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Jan 2022 07:26:10 -0500

glibmm2.4 (2.66.2-1) unstable; urgency=high

  * New upstream release
    - Fix jackd segfault (Closes: #994969)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Oct 2021 20:58:47 -0400

glibmm2.4 (2.66.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on glib-networking
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 09:22:18 -0400

glibmm2.4 (2.64.2-2) unstable; urgency=medium

  * Team upload
  * Stop managing shlibs version by hand.
    This approach to dependency generation relies on maintainers
    remembering to update the version when necessary, which in practice
    isn't reliable, so it's only appropriate for libraries that very rarely
    add new ABI. Normally I'd add a symbols file, but those are problematic
    for C++ code unless it manages its ABI very carefully. Instead rely on
    debhelper compat level 12, which we already use, defaulting to the
    equivalent of dh_makeshlibs -VUpstream-Version; this results in
    dependent software getting a dependency on at least the same upstream
    version it was compiled against. (Closes: #961216)

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jun 2020 18:12:03 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glibmm2.4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               doxygen,
               glib-networking <!nocheck>,
               graphviz,
               xsltproc,
               libglib2.0-dev (>= 2.61.2),
               libsigc++-2.0-dev (>= 2.9.1),
               meson (>= 0.54.0),
               pkg-config,
               mm-common (>= 0.9.10)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
Homepage: http://www.gtkmm.org/

Package: libglibmm-2.4-1v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libglibmm-2.4-1c2a
Replaces: libglibmm-2.4-1c2a
Description: C++ wrapper for the GLib toolkit (shared libraries)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains shared libraries.

Package: libglibmm-2.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1v5 (= ${binary:Version}),
         libglib2.0-dev (>= 2.61.2),
         libsigc++-2.0-dev,
         pkg-config
Suggests: libglibmm-2.4-doc,
          libgtkmm-3.0-dev
Description: C++ wrapper for the GLib toolkit (development files)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains development files.

Package: libglibmm-2.4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
Suggests: devhelp, gtkmm-documentation
Description: C++ wrapper for the GLib toolkit (documentation)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains reference documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild-documentation=true \
		-Dwarnings=max

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag -X.cc

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/glibmm/cache.json \
	[\d.]+[02468]/glibmm-([\d.]+)@ARCHIVE_EXT@

## glibmm2.4 2.66.5

=== debian/changelog ===
glibmm2.4 (2.66.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Dec 2022 11:24:43 -0500

glibmm2.4 (2.66.5-1) unstable; urgency=medium

  * New upstream release
  * Build docs from source
  * debian/control.in: Build-Depend on libxml-parser-perl
  * debian/*docs: Don't install README.md; it's just build instructions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 09:29:06 -0400

glibmm2.4 (2.66.4-2) unstable; urgency=medium

  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/watch: Only watch for 2.66 series releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 27 Aug 2022 14:41:02 -0400

glibmm2.4 (2.66.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 12:01:56 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dmaintainer-mode=true \
 		-Dbuild-documentation=true \
 		-Dwarnings=max

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/glibmm/cache.json \
	2.66/glibmm-([\d.]+)@ARCHIVE_EXT@

## glibmm2.4 2.66.6

=== debian/changelog ===
glibmm2.4 (2.66.6-1deepin1) unstable; urgency=medium

  * update upstream release.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 16 May 2023 19:47:17 +0800

glibmm2.4 (2.66.6-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 16:18:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                doxygen,
@@ -15,13 +15,15 @@
                xsltproc,
                libglib2.0-dev (>= 2.61.2),
                libsigc++-2.0-dev (>= 2.9.1),
+               libxml-parser-perl <!nodoc>,
                meson (>= 0.54.0),
                pkg-config,
                mm-common (>= 0.9.10)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
 Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
-Homepage: http://www.gtkmm.org/
+Homepage: https://www.gtkmm.org/
 
 Package: libglibmm-2.4-1v5
 Architecture: any

## glibmm2.4 2.66.7

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'],
  value: 'min', description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'],
  value: 'fatal', description: 'Compiler warning level when a tarball is created')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('debug-refcounting', type: 'boolean', value: false,
  description: 'Print debug messages in connection with reference counting')
option('build-examples', type: 'boolean', value: true,
  description: 'Build example programs')
option('msvc14x-parallel-installable', type: 'boolean', value: true,
  description: 'Use separate DLL and LIB filenames for Visual Studio 2015, 2017 and 2019')

=== debian/changelog ===
glibmm2.4 (2.66.7-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:08:17 +0000

glibmm2.4 (2.66.7-1) unstable; urgency=medium

  * New upstream release
  * debian/libglibmm-2.4-1t64.docs: Add README.md, drop AUTHORS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:39:12 -0400

glibmm2.4 (2.66.6-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 05 Mar 2024 10:51:53 +1300

glibmm2.4 (2.66.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065269)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:39:52 +1300

glibmm2.4 (2.66.6-3) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Release to unstable (Closes: #1062135)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:45:03 -0500

glibmm2.4 (2.66.6-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 13:58:28 +0000

glibmm2.4 (2.66.6-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 May 2023 20:25:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                doxygen,
                glib-networking <!nocheck>,
                graphviz,
@@ -17,22 +14,25 @@
                libsigc++-2.0-dev (>= 2.9.1),
                libxml-parser-perl <!nodoc>,
                meson (>= 0.54.0),
-               pkg-config,
+               pkgconf,
                mm-common (>= 0.9.10)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
 Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
 Homepage: https://www.gtkmm.org/
 
-Package: libglibmm-2.4-1v5
+Package: libglibmm-2.4-1t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libglibmm-2.4-1v5
+Breaks: libglibmm-2.4-1v5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libglibmm-2.4-1c2a
-Replaces: libglibmm-2.4-1c2a
+Replaces: libglibmm-2.4-1v5, libglibmm-2.4-1c2a
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -46,10 +46,10 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libglibmm-2.4-1v5 (= ${binary:Version}),
+         libglibmm-2.4-1t64 (= ${binary:Version}),
          libglib2.0-dev (>= 2.61.2),
          libsigc++-2.0-dev,
-         pkg-config
+         pkgconf
 Suggests: libglibmm-2.4-doc,
           libgtkmm-3.0-dev
 Description: C++ wrapper for the GLib toolkit (development files)

## glibmm2.4 2.66.8

=== debian/changelog ===
glibmm2.4 (2.66.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libxml-parser-perl dependency :native
    (Closes: #1023489)

  [ Jeremy Bícha ]
  * Remove Suggests: devhelp, gtkmm-documentation
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Oct 2025 15:24:52 -0400

glibmm2.4 (2.66.8-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0
  * Add autopkgtests, copied from glibmm2.68

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 14:42:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: dpkg-dev (>= 1.22.5),
                debhelper-compat (= 13),
@@ -12,12 +11,11 @@
                xsltproc,
                libglib2.0-dev (>= 2.61.2),
                libsigc++-2.0-dev (>= 2.9.1),
-               libxml-parser-perl <!nodoc>,
+               libxml-parser-perl:native <!nodoc>,
                meson (>= 0.54.0),
                pkgconf,
                mm-common (>= 0.9.10)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/glibmm
 Vcs-Git: https://salsa.debian.org/gnome-team/glibmm.git
 Homepage: https://www.gtkmm.org/
@@ -28,7 +26,6 @@
 Breaks: libglibmm-2.4-1v5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libglibmm-2.4-1c2a
@@ -66,7 +63,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          doc-base,
-Suggests: devhelp, gtkmm-documentation
 Description: C++ wrapper for the GLib toolkit (documentation)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.

=== debian/tests/control ===
Tests: upstream
Depends: @, @builddeps@

Tests: build
Restrictions: superficial
Depends: g++, libglibmm-2.4-dev
